Index: include/dahdi/kernel.h
===================================================================
--- include/dahdi/kernel.h	(revision 7146)
+++ include/dahdi/kernel.h	(working copy)
@@ -369,7 +369,7 @@
 			/*! The echocan enabled its NLP automatically.
 			 */
 			u32 NLP_auto_enabled:1;
-		};
+		} bit;
 	} events;
 };
 
Index: drivers/dahdi/dahdi-base.c
===================================================================
--- drivers/dahdi/dahdi-base.c	(revision 7124)
+++ drivers/dahdi/dahdi-base.c	(working copy)
@@ -6749,7 +6749,7 @@
 {
 	union dahdi_echocan_events events = chan->ec_state->events;
 
-	if (events.CED_tx_detected) {
+	if (events.bit.CED_tx_detected) {
 		dahdi_qevent_nolock(chan, DAHDI_EVENT_TX_CED_DETECTED);
 		if (chan->ec_state) {
 			if (chan->ec_state->status.mode == ECHO_MODE_ACTIVE)
@@ -6759,7 +6759,7 @@
 		}
 	}
 
-	if (events.CED_rx_detected) {
+	if (events.bit.CED_rx_detected) {
 		dahdi_qevent_nolock(chan, DAHDI_EVENT_RX_CED_DETECTED);
 		if (chan->ec_state) {
 			if (chan->ec_state->status.mode == ECHO_MODE_ACTIVE)
@@ -6769,18 +6769,18 @@
 		}
 	}
 
-	if (events.CNG_tx_detected)
+	if (events.bit.CNG_tx_detected)
 		dahdi_qevent_nolock(chan, DAHDI_EVENT_TX_CNG_DETECTED);
 
-	if (events.CNG_rx_detected)
+	if (events.bit.CNG_rx_detected)
 		dahdi_qevent_nolock(chan, DAHDI_EVENT_RX_CNG_DETECTED);
 
-	if (events.NLP_auto_disabled) {
+	if (events.bit.NLP_auto_disabled) {
 		dahdi_qevent_nolock(chan, DAHDI_EVENT_EC_NLP_DISABLED);
 		chan->ec_state->status.mode = ECHO_MODE_FAX;
 	}
 
-	if (events.NLP_auto_enabled) {
+	if (events.bit.NLP_auto_enabled) {
 		dahdi_qevent_nolock(chan, DAHDI_EVENT_EC_NLP_ENABLED);
 		chan->ec_state->status.mode = ECHO_MODE_ACTIVE;
 	}
